跳转到主要内容
POST
/
table
/
{tableId}
/
record
/
{recordId}
/
duplicate
cURL
curl --request POST \
  --url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/duplicate \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"viewId":"string","anchorId":"string","position":"before"}'
{
  "records": [
    {
      "id": "recXXXXXXX",
      "fields": {
        "single line text": "text value"
      }
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

tableId
string
必填
recordId
string
必填

请求体

application/json

Where this record to insert to (Optional)

viewId
string
必填

You can only specify order in one view when create record (will create a order index automatically)

anchorId
string
必填

The record id to anchor to

position
enum<string>
必填
可用选项:
before,
after

响应

201 - application/json

Successful duplicate

records
object[]
必填

Array of record objects

示例:
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]
Last modified on March 5, 2026